ui.view

## Class PropertyTable

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - javax.swing.table.DefaultTableModel
    - - ui.view.PropertyTable

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

    public class PropertyTable
    extends javax.swing.table.DefaultTableModel

Property Table.

Author:
  Gruppe14
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PropertyTable()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Class<?>` `getColumnClass(int columnIndex)`

### Methods inherited from class javax.swing.table.DefaultTableModel

`addColumn, addColumn, addColumn, addRow, addRow, getColumnCount, getColumnName, getDataVector, getRowCount, getValueAt, insertRow, insertRow, isCellEditable, moveRow, newDataAvailable, newRowsAdded, removeRow, rowsRemoved, setColumnCount, setColumnIdentifiers, setColumnIdentifiers, setDataVector, setDataVector, setNumRows, setRowCount, setValueAt`

### Methods inherited from class javax.swing.table.AbstractTableModel

`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyTable

    public PropertyTable()

### Method Detail

#### getColumnClass

    public java.lang.Class<?> getColumnClass(int columnIndex)

Specified by:
  `getColumnClass` in interface `javax.swing.table.TableModel`
Overrides:
  `getColumnClass` in class `javax.swing.table.AbstractTableModel`